%define modname txZMQ

%define enable_tests 0

Name:             python-txzmq
Version:          1.0.0
Release:          %mkrel 4
Summary:          Twisted bindings for ZeroMQ
Group:            Development/Python
License:          GPLv2
URL:              https://pypi.org/project/txZMQ
Source0:          https://files.pythonhosted.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:        noarch

BuildRequires:    python3-devel
BuildRequires:    python3dist(setuptools)

%if %enable_tests
BuildRequires:    python3dist(nose)
%endif

%description
txZMQ allows to integrate easily ZeroMQ sockets into Twisted event loop
(reactor).

%package -n python3-txzmq
Summary:          Twisted bindings for ZeroMQ
Group:            Development/Python
Requires:         python3-pyzmq >= 13.0.0
Requires:         python3-twisted
%{?python_provide:%python_provide python3-txzmq}

%description -n python3-txzmq
txZMQ allows to integrate easily ZeroMQ sockets into Twisted event loop
(reactor).

%prep
%setup -q -n %{modname}-%{version}
%autopatch -p1

%build
%py3_build

%check
%if %enable_tests
PYTHONPATH=$(pwd) nosetests-%{python3_version} -v
%endif

%install
%py3_install

%files -n python3-txzmq
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/txzmq/
%{python3_sitelib}/txZMQ-%{version}*.egg-info


%changelog
* Mon Mar 03 2025 wally <wally> 1.0.0-4.mga10
+ Revision: 2160084
- rebuild for python3.13

* Mon Dec 18 2023 papoteur <papoteur> 1.0.0-3.mga10
+ Revision: 2018940
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1823117
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 1.0.0-1.mga9
+ Revision: 1781447
- version 1.0.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.8.2-3.mga9
+ Revision: 1732991
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.8.2-2.mga8
+ Revision: 1538584
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 daviddavid <daviddavid> 0.8.2-1.mga8
+ Revision: 1462428
- new version: 0.8.2

* Wed Oct 16 2019 daviddavid <daviddavid> 0.8.0-3.mga8
+ Revision: 1453955
- fix dependency

* Thu Sep 26 2019 daviddavid <daviddavid> 0.8.0-2.mga8
+ Revision: 1446543
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 0.8.0-1.mga7
+ Revision: 1393965
- new version 0.8.0

* Wed Sep 19 2018 umeabot <umeabot> 0.7.4-3.mga7
+ Revision: 1274852
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 0.7.4-2.mga6
+ Revision: 972469
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 0.7.4-1.mga6
+ Revision: 898738
- update to 0.7.4

* Wed Oct 15 2014 umeabot <umeabot> 0.7.3-4.mga5
+ Revision: 741274
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.3-3.mga5
+ Revision: 729953
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.3-2.mga5
+ Revision: 688400
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 0.7.3-1.mga5
+ Revision: 669665
- update to 0.7.3

* Mon Jun 23 2014 philippem <philippem> 0.7.2-1.mga5
+ Revision: 639026
- update to 0.7.2
+ pterjan <pterjan>
- Rebuild for new Python

* Mon Mar 10 2014 philippem <philippem> 0.7.0-2.mga5
+ Revision: 601869
- disable test on BS (they are ok on local iurt build)

* Sun Feb 23 2014 philippem <philippem> 0.7.0-1.mga5
+ Revision: 596016
- fix group
- imported package python-txzmq

